Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.protocols.email.beans
Class MessageInterface

All Known Implementing Classes:
  Message, Rfc822Message, TieMessage, TieRfc822Message

    public interface class MessageInterface

The MessageInterface interface defines the interface that any message type that is to be sent by the OutboxAgent must implement

(Published)

Method Summary
`void` | `free()`
`java.lang.String[]` | `getBccList()`
`java.lang.String[]` | `getCcList()`
`java.util.Date` | `getCreateDate()`
`java.lang.String[]` | `getFromList()`
`java.lang.Long` | `getId()`
`java.util.Date` | `getLastModifyDate()`
`java.lang.String` | `getName()`
`java.lang.String[]` | `getSenderList()`
`LibrarySession` | `getSession()`
`java.lang.String[]` | `getToList()`

Method Detail

### getSenderList

    java.lang.String[] getSenderList()
                                     throws IfsException

  Throws:
    `IfsException`

### getFromList

    java.lang.String[] getFromList()
                                   throws IfsException

  Throws:
    `IfsException`

### getToList

    java.lang.String[] getToList()
                                 throws IfsException

  Throws:
    `IfsException`

### getCcList

    java.lang.String[] getCcList()
                                 throws IfsException

  Throws:
    `IfsException`

### getBccList

    java.lang.String[] getBccList()
                                  throws IfsException

  Throws:
    `IfsException`

### getId

    java.lang.Long getId()
                         throws IfsException

  Throws:
    `IfsException`

### getName

    java.lang.String getName()
                             throws IfsException

  Throws:
    `IfsException`

### free

    void free()
              throws IfsException

  Throws:
    `IfsException`

### getSession

    LibrarySession getSession()
                              throws IfsException

  Throws:
    `IfsException`

### getCreateDate

    java.util.Date getCreateDate()
                                 throws IfsException

  Throws:
    `IfsException`

### getLastModifyDate

    java.util.Date getLastModifyDate()
                                     throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD